Signed-off-by: Matteo Cafasso <noxdafox(a)gmail.com>
---
tests/tsk/Makefile.am | 2 +-
tests/tsk/test-download-inode.sh | 53 ++++++++++++++++++++++++++++++++++++++++
tests/tsk/test-icat.sh | 53 ----------------------------------------
3 files changed, 54 insertions(+), 54 deletions(-)
create mode 100755 tests/tsk/test-download-inode.sh
delete mode 100755 tests/tsk/test-icat.sh
diff --git a/tests/tsk/Makefile.am b/tests/tsk/Makefile.am
index e060e58..0cd7c03 100644
--- a/tests/tsk/Makefile.am
+++ b/tests/tsk/Makefile.am
@@ -18,7 +18,7 @@
include $(top_srcdir)/subdir-rules.mk
TESTS = \
- test-icat.sh
+ test-download-inode.sh
TESTS_ENVIRONMENT = $(top_builddir)/run --test
diff --git a/tests/tsk/test-download-inode.sh b/tests/tsk/test-download-inode.sh
new file mode 100755
index 0000000..9c65aa9
--- /dev/null
+++ b/tests/tsk/test-download-inode.sh
@@ -0,0 +1,53 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2016 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test the download_inode command.
+
+set -e
+
+if [ -n "$SKIP_TEST_DOWNLOAD_INODE_SH" ]; then
+ echo "$0: test skipped because environment variable is set."
+ exit 77
+fi
+
+rm -f test-mft.bin
+
+# Skip if TSK is not supported by the appliance.
+if ! guestfish add /dev/null : run : available "sleuthkit"; then
+ echo "$0: skipped because TSK is not available in the appliance"
+ exit 77
+fi
+
+if [ ! -s ../../test-data/phony-guests/windows.img ]; then
+ echo "$0: skipped because windows.img is zero-sized"
+ exit 77
+fi
+
+# download Master File Table ($MFT).
+guestfish --ro -a ../../test-data/phony-guests/windows.img <<EOF
+run
+download-inode /dev/sda2 0 test-mft.bin
+EOF
+
+# test extracted file is the Master File Table
+if [ `head -c 5 test-mft.bin` != "FILE0" ]; then
+ echo "$0: wrong file extracted."
+ exit 1
+fi
+
+rm -f test-mft.bin
diff --git a/tests/tsk/test-icat.sh b/tests/tsk/test-icat.sh
deleted file mode 100755
index 3b0fca4..0000000
--- a/tests/tsk/test-icat.sh
+++ /dev/null
@@ -1,53 +0,0 @@
-#!/bin/bash -
-# libguestfs
-# Copyright (C) 2016 Red Hat Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-
-# Test the icat command.
-
-set -e
-
-if [ -n "$SKIP_TEST_ICAT_SH" ]; then
- echo "$0: test skipped because environment variable is set."
- exit 77
-fi
-
-rm -f test-mft.bin
-
-# Skip if TSK is not supported by the appliance.
-if ! guestfish add /dev/null : run : available "sleuthkit"; then
- echo "$0: skipped because TSK is not available in the appliance"
- exit 77
-fi
-
-if [ ! -s ../../test-data/phony-guests/windows.img ]; then
- echo "$0: skipped because windows.img is zero-sized"
- exit 77
-fi
-
-# download Master File Table ($MFT).
-guestfish --ro -a ../../test-data/phony-guests/windows.img <<EOF
-run
-icat /dev/sda2 0 test-mft.bin
-EOF
-
-# test extracted file is the Master File Table
-if [ `head -c 5 test-mft.bin` != "FILE0" ]; then
- echo "$0: wrong file extracted."
- exit 1
-fi
-
-rm -f test-mft.bin
--
2.8.0.rc3